Bug 1003074 - RFE: Include support in anaconda to auto detect DDF mirror and use it for install
RFE: Include support in anaconda to auto detect DDF mirror and use it for ins...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
x86_64 Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 782009 1196830 1196833
  Show dependency treegraph
 
Reported: 2013-08-30 13:32 EDT by Charles Rose
Modified: 2016-02-03 16:12 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1196830 (view as bug list)
Environment:
Last Closed: 2016-02-03 16:12:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Rose 2013-08-30 13:32:24 EDT
Description of problem:
Anaconda should be able to detect md mirror arrays within DDF containers and install the OS on them. This support currently is present in opensuse 12.3 and it would be nice to have it in Fedora as well. This is useful for deployments where we would like the OS (/boot, /) to reside on a mirror to improve availability. The question of booting from a broken mirror remains, but it can be currently addressed by booting into the rescue system and marking one of the disks faulty at which time the OS should boot fine.

Version-Release number of selected component (if applicable):
F20

How reproducible:
Always

Steps to Reproduce:
1. Boot F19 in rescue mode on system with two identical disks
2. # mdadm -C /dev/md/ddf0 -e ddf -l container -n 2 /dev/sda /dev/sdb
3. # mdadm -C /dev/md0 -l raid1 -n 2 /dev/md/ddf0
4. Reboot system and allow F19 anaconda to start

Actual results:
Anaconda detects /dev/md0 as install disk and lays out /boot,/, swap and grub2 on it.

Expected results:
Anaconda does not detect any install source

Additional info:
Same steps on opensuse 12.3 results in the installer detecting /dev/md0 and creating /dev/md0p1 -> /boot and /dev/md0p2 -> / and complete the install.
Comment 1 Fedora End Of Life 2015-05-29 05:21:20 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Charles Rose (RH) 2016-02-03 16:12:55 EST
For now, the md 1.2 metadata seems sufficient for this purpose.

Note You need to log in before you can comment on or make changes to this bug.